
Base Distribution - Task # 48146

Work Package # 45020 (Closed): Content Editing Stability and Features

Status: Closed Priority: Should have
Author: Aske Ertmann Category:
Created: 2013-05-13 Assigned To: Aske Ertmann
Updated: 2014-11-02 Due date:
Subject: Change default generated node paths when changing the node title
Description

A default node path is generated when creating a new node, we should change this automatically when a node with a title property is
changed if it still has the default node path. This is to make it easier for the editor to get nice URL's. For now we should however not
change this automatically if the title changes and the node path is not a generated one, because we lack a good way to support
redirects from old URL's.

Related issues:
duplicates TYPO3.Neos - Feature # 44644: Nodename according to the pagetitle Closed 2013-01-18

History
#1 - 2013-05-13 19:38 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20763

#2 - 2013-05-13 19:40 - Aske Ertmann
- Status changed from New to Accepted
- Assigned To set to Aske Ertmann
- % Done changed from 0 to 80

#3 - 2013-05-16 20:45 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20846

#4 - 2013-05-16 21:08 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20846

#5 - 2013-05-17 18:15 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review

#6 - 2013-06-19 21:19 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20763

#7 - 2013-06-19 21:23 - Gerrit Code Review
Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20763

#8 - 2013-06-20 10:41 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20763

#9 - 2013-07-11 21:45 - Aske Ertmann
- Target version set to 1.0 beta 1

#10 - 2013-07-16 23:26 - Aske Ertmann
- Target version changed from 1.0 beta 1 to 1.0 alpha 6

#11 - 2013-09-11 14:13 - Robert Lemke
- Status changed from Under Review to Closed

Closing this issue because it's a duplicate of #44644 - I'll comment on your patch in Gerrit, too

#12 - 2014-11-02 18:22 - Aske Ertmann
- Remaining (hours) set to 0.0
